Get metadata on all Chat Messages
curl --request GET \
--url https://api.affinity.co/v2/chat-messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/chat-messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/chat-messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"sentAt": "2023-01-01T00:00:00Z",
"loggingType": "manual",
"direction": "sent",
"creator": {
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
},
"createdAt": "2022-01-01T00:00:00Z",
"updatedAt": "2023-01-01T00:00:00Z",
"participantsPreview": {
"data": [
{
"id": 1,
"firstName": "Jane",
"lastName": "Doe",
"primaryEmailAddress": "jane.smith@northpointvc.com",
"type": "internal"
}
],
"totalCount": 200
}
}
],
"pagination": {
"prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
"nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
}
}{
"errors": [
{
"code": "bad-request",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Chat Messages
Get metadata on all Chat Messages
Paginate through all chat messages in Affinity. Returns basic information about the chat message interaction and its participants. Will only return chat messages that the current authenticated user has permission to see.
You can filter chat messages using the filter query parameter. The filter parameter is a string that you can specify conditions based on the following properties.
| Property Name | Type | Allowed Operators | Examples |
|---|---|---|---|
id | int64 | = | id=1|id=2|id=3 |
sentAt | datetime | >, <, >=, <= | sentAt>2025-01-01T01:00:00Z |
createdAt | datetime | >, <, >=, <= | createdAt<2025-01-01T01:00:00Z |
updatedAt | datetime | >, <, >=, <= | updatedAt>=2025-01-01T01:00:00Z |
GET
/
v2
/
chat-messages
Get metadata on all Chat Messages
Authorizations
A static Affinity API key, presented as a bearer token.
Query Parameters
Cursor for the next or previous page
Example:
"ICAgICAgYmVmb3JlOjo6Nw"
Number of items to include in the page
Required range:
1 <= x <= 100Example:
100
Filter options
Was this page helpful?